.TH "COBRA\-CLI\-INIT" "1" "Mar 2022" "github.com/spf13/cobra-cli" "Cobra Manual"  ""
.nh
.ad l

.SH NAME
.PP
cobra\-cli\-init \- Initialize a Cobra Application

.SH SYNOPSIS
.PP
\fBcobra\-cli init\fP [\fIPATH\fP] [\fIOPTIONS\fP]

.SH DESCRIPTION
.PP
Initialize (cobra-cli init) will create a new application, with a license
and the appropriate structure for a Cobra\-based CLI application.
.PP
cobra\-cli init must be run inside of a Go module (please run \(lqgo mod init <MODNAME>\(rq first)

.SH ALIASES
.PP
\fBinit\fP, \fBinitialize\fP, \fBinitialise\fP, \fBcreate\fP

.SH OPTIONS
.TP
\fB\-h\fP, \fB\-\-help\fP
help for init

.SH OPTIONS INHERITED FROM PARENT COMMAND
.TP
\fB\-a\fP, \fB\-\-author\fP \fIstring\fP
author name for copyright attribution (default \(lqYOUR NAME\(rq)
.TP
\fB\-\-config\fP \fIstring\fP
config file (default is $HOME/.cobra.yaml)
.TP
\fB\-l\fP, \fB\-\-license\fP \fIstring\fP
name of license for the project
.TP
\fB\-\-viper\fP
Use Viper for configuration

.SH SEE ALSO
.PP
\fBcobra\-cli(1)\fP, \fBcobra\-cli\-add(1)\fP
